View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000643aMuleServerspublic2005-11-06 14:592005-11-22 23:56
ReporterkiM 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000643: aMule 2.0.3 crashes after a few minutes (btw 5 to 60 mn)
DescriptionaMule starts and runs normally.
After awhile (a few minutes or even hours), it crashes and closes starightaway.

The crash appeared one week ago. Never happened before, always happens since. Don't know what I did to deserve that ;-)
Additional InformationThe backtrace:
===============================================
(...)
Program received signal SIGABRT, Aborted.
[Switching to Thread 16384 (LWP 16595)]
0x408a47c1 in kill () from /lib/libc.so.6


(gdb) bt
#0 0x408a47c1 in kill () from /lib/libc.so.6
0000001 0x4002f771 in pthread_kill () from /lib/libpthread.so.0
0000002 0x4002fa7b in raise () from /lib/libpthread.so.0
0000003 0x408a4554 in raise () from /lib/libc.so.6
0000004 0x408a5a88 in abort () from /lib/libc.so.6
0000005 0x40827f57 in __cxa_call_unexpected () from /usr/lib/libstdc++.so.5
0000006 0x40827f94 in std::terminate () from /usr/lib/libstdc++.so.5
0000007 0x40828106 in __cxa_throw () from /usr/lib/libstdc++.so.5
0000008 0x4082835f in operator new () from /usr/lib/libstdc++.so.5
0000009 0x4082842f in operator new[] () from /usr/lib/libstdc++.so.5
0000010 0x081332ae in CKnownFile::CreateHashFromInput (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", in_string=0x0,
    pShaHashOut=0x0) at KnownFile.cpp:596
#11 0x08135ab1 in CKnownFile::CreateHashFromFile (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", pShaHashOut=0x0)
    at KnownFile.h:240
0000012 0x081d27fc in CPartFile::HashSinglePart (this=0x9658040, partnumber=370)
    at PartFile.cpp:2540
0000013 0x081d4778 in CPartFile::FlushBuffer (this=0x9658040, bForceICH=false,
    bNoAICH=false) at PartFile.cpp:3116
0000014 0x081ce411 in CPartFile::Process (this=0x9658040, reducedownload=200,
    m_icounter=1 '\001') at PartFile.cpp:1510
0000015 0x080db959 in CDownloadQueue::Process (this=0x949e630)


(gdb) bt full
#0 0x408a47c1 in kill () from /lib/libc.so.6
No symbol table info available.
0000001 0x4002f771 in pthread_kill () from /lib/libpthread.so.0
No symbol table info available.
0000002 0x4002fa7b in raise () from /lib/libpthread.so.0
No symbol table info available.
0000003 0x408a4554 in raise () from /lib/libc.so.6
No symbol table info available.
0000004 0x408a5a88 in abort () from /lib/libc.so.6
No symbol table info available.
0000005 0x40827f57 in __cxa_call_unexpected () from /usr/lib/libstdc++.so.5
No symbol table info available.
0000006 0x40827f94 in std::terminate () from /usr/lib/libstdc++.so.5
No symbol table info available.
0000007 0x40828106 in __cxa_throw () from /usr/lib/libstdc++.so.5
No symbol table info available.
0000008 0x4082835f in operator new () from /usr/lib/libstdc++.so.5
No symbol table info available.
0000009 0x4082842f in operator new[] () from /usr/lib/libstdc++.so.5
No symbol table info available.
0000010 0x081332ae in CKnownFile::CreateHashFromInput (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", in_string=0x0,
    pShaHashOut=0x0) at KnownFile.cpp:596
---Type <return> to continue, or q <return> to quit---
        data = (class CFile *) 0x0
        delete_in_string = false
        Required = 0
        X = "\214\017P\t\001\000\000\000ÈÒÿ¿à­±@\200\017P\tPÖÿ¿\000\000\000\000 ä»@ ä»@\200\017P\tXÓÿ¿\236(µ@\200\017P\t\200\017P\t\f\000\000\000\200Óÿ¿\177+°\001\000\00000dc\000\000\000\000€\217\177+\001\027H\006Œ@\230ËJ\t`ÉŽ@\177+h\001\000\00000dc\000\000\000\000\036š\f\000\000\000\025\232\000\000\020ÕI\t`\000\000\000À­±@\001\000\000\000\001\000\001\000(ÕI\t\000\000\000\000\000\00001wb\020\000\000\000ÒÝ\000\000\000\000\224Óÿ¿wb\020\000 ä»@\200Óÿ¿\200\017P\t\030Öÿ¿4\001µ@\200\017P\t\f\000\000\000"...
        posCurrentEMBlock = 1085483844
        nIACHPos = 3221213896
        pHashAlg = (class CAICHHashAlgo *) 0x40bbe420
#11 0x08135ab1 in CKnownFile::CreateHashFromFile (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", pShaHashOut=0x0)
    at KnownFile.h:240
No locals.
0000012 0x081d27fc in CPartFile::HashSinglePart (this=0x9658040, partnumber=370)
    at PartFile.cpp:2540
        hashresult = {m_hash = '\0' <repeats 15 times>}
        length = 2396143616
0000013 0x081d4778 in CPartFile::FlushBuffer (this=0x9658040, bForceICH=false,
    bNoAICH=false) at PartFile.cpp:3116
---Type <return> to continue, or q <return> to quit---
        partNumber = 370
        partCount = 371
        changedPart = (bool *) 0x9996310
        newData = 174080
        pos = {m_ptr = 0x0}
        partRange = 7864319
0000014 0x081ce411 in CPartFile::Process (this=0x9658040, reducedownload=200,
    m_icounter=1 '\001') at PartFile.cpp:1510
        old_trans = 1080
        dwCurTick = 1659882202
0000015 0x080db959 in CDownloadQueue::Process (this=0x949e630)
    at DownloadQueue.cpp:362
        file = (class CPartFile *) 0x9658040
        i = 21
        downspeed = 200
        cur_datarate = 30894
        cur_udcounter = 1
0000016 0x0807548f in CamuleApp::OnCoreTimer (this=0x85540f8) at amule.cpp:1505
        msPrev1 = 4928172
        msPrev5 = 4926802
        msPrevSave = 4923932
        msPrevHist = 4928000
        msPrevOS = 4928842
---Type <return> to continue, or q <return> to quit---
        msPrevKnownMet = 3600082
        msCur = 4928942
0000017 0x40691718 in wxAppConsole::HandleEvent ()
   from /usr/lib/libwx_base-2.6.so.0
No symbol table info available.
0000018 0x40742490 in wxEvtHandler::ProcessEventIfMatches ()
   from /usr/lib/libwx_base-2.6.so.0
No symbol table info available.
0000019 0x407418df in wxEventHashTable::HandleEvent ()
   from /usr/lib/libwx_base-2.6.so.0
No symbol table info available.
0000020 0x40742630 in wxEvtHandler::ProcessEvent ()
   from /usr/lib/libwx_base-2.6.so.0
No symbol table info available.
0000021 0x404a3cda in wxTimerBase::Notify () from /usr/lib/libwx_gtk_core-2.6.so.0
No symbol table info available.
0000022 0x40389b1d in wxTimer::GetClassInfo ()
   from /usr/lib/libwx_gtk_core-2.6.so.0
No symbol table info available.
0000023 0x40c0fec4 in g_main_set_poll_func () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
0000024 0x40c0f03d in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000025 0x40c0f4f4 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
0000026 0x40c0f724 in g_main_run () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
0000027 0x40b1925f in gtk_main () from /usr/lib/libgtk-1.2.so.0
No symbol table info available.
0000028 0x4037e378 in wxEventLoop::Run () from /usr/lib/libwx_gtk_core-2.6.so.0
No symbol table info available.
0000029 0x40411c33 in wxAppBase::MainLoop () from /usr/lib/libwx_gtk_core-2.6.so.0
No symbol table info available.
0000030 0x40411d9a in wxAppBase::OnRun () from /usr/lib/libwx_gtk_core-2.6.so.0
No symbol table info available.
0000031 0x406dadae in wxEntry () from /usr/lib/libwx_base-2.6.so.0
No symbol table info available.
0000032 0x0807a148 in main (argc=1, argv=0xbffff9d4) at amule-gui.cpp:147
No locals.


(gdb) thread apply all bt

Thread 2 (Thread 32769 (LWP 16597)):
#0 0x40949ada in poll () from /lib/libc.so.6
0000001 0x4002cb50 in __pthread_manager () from /lib/libpthread.so.0
0000002 0x4002cd57 in __pthread_manager_event () from /lib/libpthread.so.0
0000003 0x4095292a in clone () from /lib/libc.so.6

Thread 1 (Thread 16384 (LWP 16595)):
#0 0x408a47c1 in kill () from /lib/libc.so.6
0000001 0x4002f771 in pthread_kill () from /lib/libpthread.so.0
0000002 0x4002fa7b in raise () from /lib/libpthread.so.0
0000003 0x408a4554 in raise () from /lib/libc.so.6
0000004 0x408a5a88 in abort () from /lib/libc.so.6
0000005 0x40827f57 in __cxa_call_unexpected () from /usr/lib/libstdc++.so.5
0000006 0x40827f94 in std::terminate () from /usr/lib/libstdc++.so.5
0000007 0x40828106 in __cxa_throw () from /usr/lib/libstdc++.so.5
0000008 0x4082835f in operator new () from /usr/lib/libstdc++.so.5
0000009 0x4082842f in operator new[] () from /usr/lib/libstdc++.so.5
0000010 0x081332ae in CKnownFile::CreateHashFromInput (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", in_string=0x0,
    pShaHashOut=0x0) at KnownFile.cpp:596
#11 0x08135ab1 in CKnownFile::CreateHashFromFile (this=0x9658040,
    file=0x96580ec, Length=2396143616, Output=0xbffff370 "", pShaHashOut=0x0)
---Type <return> to continue, or q <return> to quit---
    at KnownFile.h:240
0000012 0x081d27fc in CPartFile::HashSinglePart (this=0x9658040, partnumber=370)
    at PartFile.cpp:2540
0000013 0x081d4778 in CPartFile::FlushBuffer (this=0x9658040, bForceICH=false,
    bNoAICH=false) at PartFile.cpp:3116
0000014 0x081ce411 in CPartFile::Process (this=0x9658040, reducedownload=200,
    m_icounter=1 '\001') at PartFile.cpp:1510
0000015 0x080db959 in CDownloadQueue::Process (this=0x949e630)
    at DownloadQueue.cpp:362
0000016 0x0807548f in CamuleApp::OnCoreTimer (this=0x85540f8) at amule.cpp:1505
0000017 0x40691718 in wxAppConsole::HandleEvent ()
   from /usr/lib/libwx_base-2.6.so.0
0000018 0x40742490 in wxEvtHandler::ProcessEventIfMatches ()
   from /usr/lib/libwx_base-2.6.so.0
0000019 0x407418df in wxEventHashTable::HandleEvent ()
   from /usr/lib/libwx_base-2.6.so.0
0000020 0x40742630 in wxEvtHandler::ProcessEvent ()
   from /usr/lib/libwx_base-2.6.so.0
0000021 0x404a3cda in wxTimerBase::Notify () from /usr/lib/libwx_gtk_core-2.6.so.0
0000022 0x40389b1d in wxTimer::GetClassInfo ()
   from /usr/lib/libwx_gtk_core-2.6.so.0
0000023 0x40c0fec4 in g_main_set_poll_func () from /usr/lib/libglib-1.2.so.0
0000024 0x40c0f03d in g_get_current_time () from /usr/lib/libglib-1.2.so.0
---Type <return> to continue, or q <return> to quit---
0000025 0x40c0f4f4 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
0000026 0x40c0f724 in g_main_run () from /usr/lib/libglib-1.2.so.0
0000027 0x40b1925f in gtk_main () from /usr/lib/libgtk-1.2.so.0
0000028 0x4037e378 in wxEventLoop::Run () from /usr/lib/libwx_gtk_core-2.6.so.0
0000029 0x40411c33 in wxAppBase::MainLoop () from /usr/lib/libwx_gtk_core-2.6.so.0
0000030 0x40411d9a in wxAppBase::OnRun () from /usr/lib/libwx_gtk_core-2.6.so.0
0000031 0x406dadae in wxEntry () from /usr/lib/libwx_base-2.6.so.0
0000032 0x0807a148 in main (argc=1, argv=0xbffff9d4) at amule-gui.cpp:147
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001419)
kiM (reporter)
2005-11-06 15:10

Forgot to stay I run:
-Debian 3.1 Sarge
-Gnome
-Shared files are placed on a FAT32 HDD for compatibility with MS

============================================================
Here is the output from DBG upon starting:

(gdb) run
Starting program: /tmp/aMule-2.0.3/src/amule
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 17217)]
Initialising aMule
Checking if there is an instance already running...
[New Thread 32769 (LWP 17219)]
[New Thread 16386 (LWP 17220)]
[New Thread 32771 (LWP 17222)]
Loading temp files from /mnt/download/p2p/eMule/Part.
Loading PartFile 3 of 29: Failed to load PartFile '006.part.met'
Loading PartFile 5 of 29: Failed to load PartFile '010.part.met'
Loading PartFile 27 of 29: Failed to load PartFile '054.part.met'
Loading PartFile 28 of 29: Failed to load PartFile '090.part.met'
Loading PartFile 29 of 29: Failed to load PartFile '105.part.met'

All PartFiles Loaded.
ListenSocket: Ok.

External connections disabled in config file
*** Server UDP socket (TCP+3) at 0.0.0.0:55435
*** TCP socket (TCP) listening on 0.0.0.0:55432
*** Client UDP socket (extended eMule) at 0.0.0.0:55442
Adding file /mnt/download/p2p/eMule/Part/008.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/047.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/046.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/045.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/039.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/035.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/034.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/033.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/032.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/031.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/030.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/028.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/027.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/026.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/025.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/024.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/023.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/021.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/020.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/019.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/018.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/017.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/005.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/001.part.met to shares
[New Thread 49156 (LWP 17223)]
[New Thread 65541 (LWP 17224)]
HTTP download thread end
[Thread 32771 (LWP 17222) exited]
[Thread 49156 (LWP 17223) exited]
[New Thread 81926 (LWP 17225)]
HTTP download thread end
[Thread 81926 (LWP 17225) exited]
Host: easynews.dl.sourceforge.net:80
URL: http://easynews.dl.sourceforge.net/sourceforge/emulepawcio/ipfilter.dat [^]
Response: 200 (Error: 0)
Download size: 7579699
[Thread 65541 (LWP 17224) exited]
HTTP download thread end
[Thread 16386 (LWP 17220) exited]
Shutting down aMule...
aMule dialog destroyed
Now, exiting main app...
aMule shutdown: Terminating core.
Saving PartFile 24 of 24
All PartFiles Saved.
aMule shutdown completed.

Program exited normally.
(gdb) run
Starting program: /tmp/aMule-2.0.3/src/amule
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 17232)]
Initialising aMule
Checking if there is an instance already running...
[New Thread 32769 (LWP 17234)]
[New Thread 16386 (LWP 17235)]
[New Thread 32771 (LWP 17237)]
Loading temp files from /mnt/download/p2p/eMule/Part.
Loading PartFile 3 of 29: Failed to load PartFile '006.part.met'
Loading PartFile 5 of 29: Failed to load PartFile '010.part.met'
Loading PartFile 27 of 29: Failed to load PartFile '054.part.met'
Loading PartFile 28 of 29: Failed to load PartFile '090.part.met'
Loading PartFile 29 of 29: Failed to load PartFile '105.part.met'

All PartFiles Loaded.
ListenSocket: Ok.

External connections disabled in config file
*** Server UDP socket (TCP+3) at 0.0.0.0:55435
*** TCP socket (TCP) listening on 0.0.0.0:55432
*** Client UDP socket (extended eMule) at 0.0.0.0:55442
Adding file /mnt/download/p2p/eMule/Part/008.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/047.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/046.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/045.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/039.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/035.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/034.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/033.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/032.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/031.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/030.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/028.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/027.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/026.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/025.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/024.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/023.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/021.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/020.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/019.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/018.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/017.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/005.part.met to shares
Adding file /mnt/download/p2p/eMule/Part/001.part.met to shares
[New Thread 49156 (LWP 17238)]
HTTP download thread end
[Thread 32771 (LWP 17237) exited]
[Thread 49156 (LWP 17238) exited]
[New Thread 65541 (LWP 17239)]
[New Thread 81926 (LWP 17240)]
HTTP download thread end
[Thread 65541 (LWP 17239) exited]
[Thread 81926 (LWP 17240) exited]
Host: easynews.dl.sourceforge.net:80
URL: http://easynews.dl.sourceforge.net/sourceforge/emulepawcio/ipfilter.dat [^]
Response: 200 (Error: 0)
Download size: 7579699
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
Compatible client found with ET_COMPATIBLECLIENT of 0x28
(0001420)
Xaignar (manager)
2005-11-07 11:39

Could you try upgrading to a current CVS snapshot and let us know if the problem persists?

Cheers,
 Xaignar
(0001421)
Xaignar (manager)
2005-11-07 11:45

Hum, nevermind, I think I see the problem. Thanks for the report.
(0001423)
Xaignar (manager)
2005-11-07 22:59

Ok. it seems that there are already checks in place for what I thought was the problem. I'll have to ask you to upgrade to a recent CVS snapshot and let me know the result, since that contains better debugging code.
(0001429)
zayfod (reporter)
2005-11-09 15:04

hello, I 'm actually trying to use the cvs amule, but have a crash straight after launching "amuled":

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
    http://forum.amule.org/board.php?boardid=67 [^]
If possible, please try to generate a real backtrace of this crash:
    http://www.amule.org/wiki/index.php/Backtraces [^]

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMuled CVS using v2.6.1 (Unicoded) (Snapshot: Wed Oct 26 07:02:02 CEST 2005)
Running on: Linux 2.6.13.2 i686

[2] ?? in amuled [0x805d856]
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0xb7f4f6b8]
[4] ?? in [0xffffe420]
[5] ?? in amuled [0x8086bdf]
[6] ?? in amuled [0x81ef480]
[7] ?? in amuled [0x81eaa9d]
[8] ?? in amuled [0x81ea9e6]
[9] ?? in amuled [0x81e0ea1]
[10] ?? in amuled [0x8067d83]
[11] ?? in amuled [0x8067a3a]
[12] ?? in amuled [0x80e51b6]
[13] ?? in amuled [0x80edee6]
[14] ?? in amuled [0x80bd35a]
[15] ?? in amuled [0x80e4348]
[16] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/lib/libwx_baseu-2.6.so.0[0xb7e98e88]
[17] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0xb7f49060]
[18] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/lib/libwx_baseu-2.6.so.0[0xb7f484af]
[19] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0xb7f49200]
[20] wxEvtHandler::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0xb7f48f96]
[21] wxAppConsole::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0xb7e98df6]
[22] ?? in amuled [0x8062fe9]
[23] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0xb7edf868]
[24] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0xb7edf94d]
[25] ?? in amuled [0x806238b]
[26] __libc_start_main in /lib/tls/libc.so.6[0xb7bec974]
[27] wxAppConsole::Initialize(int&, wchar_t**) in amuled[0x8052111]


--------------------------------------------------------------------------------
 arg
(0001430)
Xaignar (manager)
2005-11-10 12:11

zayfod, please do not post new reports to existing bugs, unless you are sure that is in fact the same bug. Please read this and then either open a new bug or post in the backtraces forum: http://www.amule.org/wiki/index.php/Backtraces [^]
(0001431)
kiM (reporter)
2005-11-10 21:51

OK Xaignar, I'm upgrading to the current CVS. I still need to fix my system a little bit and I'll let you know.

Thx for your help ;
(0001432)
kiM (reporter)
2005-11-11 00:08

I upgraded to the latest CVS (20051110).
The bug I described doesn't appear anymore (as amule now crashes upon starting).

I will solve this new bug with some CVS update or a new bug report (that I'll report on another thread).

So, I guess you can close the present bug thread (at least for me).

Continue the good (and hard) work.

Bye.
(0001440)
kiM (reporter)
2005-11-12 15:20

Sorry, don't take into account what I said in the previous message : don't close the thread yet.

I had a bug, and I need a few days to see if it happens again.

I will tell you the results.
(0001441)
Xaignar (manager)
2005-11-12 16:28

Thanks. :)
(0001507)
kiM (reporter)
2005-11-22 23:25

Since I upgraded to the CVS 20051110, the bug in question did not appear again.
As noted in the previous message, I experienced another bug but after checking it is not the same (posted it on the forum as not reproductible).

So I guess you can close this bug thread.

- Issue History
Date Modified Username Field Change
2005-11-06 14:59 kiM New Issue
2005-11-06 15:10 kiM Note Added: 0001419
2005-11-07 11:39 Xaignar Note Added: 0001420
2005-11-07 11:45 Xaignar Note Added: 0001421
2005-11-07 22:59 Xaignar Note Added: 0001423
2005-11-09 15:04 zayfod Note Added: 0001429
2005-11-10 12:11 Xaignar Note Added: 0001430
2005-11-10 21:51 kiM Note Added: 0001431
2005-11-11 00:08 kiM Note Added: 0001432
2005-11-12 15:20 kiM Note Added: 0001440
2005-11-12 16:28 Xaignar Note Added: 0001441
2005-11-22 23:25 kiM Note Added: 0001507
2005-11-22 23:56 Xaignar Status new => resolved
2005-11-22 23:56 Xaignar Fixed in Version => CVS
2005-11-22 23:56 Xaignar Resolution open => fixed
2005-11-22 23:56 Xaignar Assigned To => Xaignar


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker